Subject: bug#68930: 30.0.50; Emacs conflates C-Ω and C-ω

From: Po Lu <[email-masked]>
Date: Tue, 06 Feb 2024 12:11:56 +0800

Alexander Prähauser <[email-masked]> writes:

> I just found that the same thing happens for   C-δ and C-Δ, where both are
> in my keyboard layout file as Unicode letters, U03B4 and U0394 respectively.

Why is this a bug?  The characters which are "conflated" are pairs of
lower-case and upper-case characters, upper-case characters in which
Emacs decapitalizes when modifiers aside from Shift are depressed, so
that commands bound to lower-case characters with modifiers are executed
even if latches such as Caps Lock are activated.